API referenceMetrics-dashboards

List Dashboards

GET/api/v1/metrics-dashboards

Authorization

AuthorizationBearer <token>

A workspace API key (a13n_...)

In: header

Query Parameters

limit?Limit
Range1 <= value <= 100
Default50
cursor?string|null

Header Parameters

X-Workspace-ID?|

The workspace ID a login session acts in; required with a login session. An API key acts in its own workspace and needs none; naming another is forbidden.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/metrics-dashboards"
{  "items": [    {      "builtin": true,      "config": {        "panels": [          {            "description": "",            "id": "string",            "legend": true,            "position": {              "h": 3,              "w": 3,              "x": 0,              "y": 0            },            "queries": [              {                "history": "configured",                "kind": "metric",                "metric": "system_cpu_busy_ratio"              }            ],            "title": "string",            "unit": "auto",            "visualization": "timeseries"          }        ],        "range_seconds": 3600,        "refresh_seconds": 0,        "schema_version": 1      },      "created_at": "2019-08-24T14:15:22Z",      "created_by_id": "string",      "id": "string",      "name": "string",      "organization_id": "string",      "updated_at": "2019-08-24T14:15:22Z",      "updated_by_id": "string",      "version": 0,      "workspace_id": "string"    }  ],  "next_cursor": "string"}